Package com.ads.services.webservice

# Class AMMService

java.lang.Object
com.ads.services.webservice.AMMService

public class AMMService extends Object
Web Services are based on the SOAP protocol.The response can be either JSON or XML.
All the WebServices methods in this service class have return type String - meaning if the method execution is successful, then it will return a string in the form of JSON or XML String based on the outputFormat parameter given by the user.
Contains the methods to get the application, system information etc.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AMMService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAllInfo(String userName, String password, String outputFormat)`
  Returns the information about application,system,virtual machine,JVM,JRE etc.
  `String`
  `getApplicationInfo(String userName, String password, String outputFormat)`
  Returns the application information like company name,application name,application version etc.
  `String`
  `getLicenseInfo(String userName, String password, String outputFormat)`
  Returns License information like CompanyName,number of allowed projects,number of allowed subjects, number of allowed users, number of allowed logins, number of evaluation days,evaluation end date and license expired or not etc.
  `String`
  `getSystemInfo(String userName, String password, String outputFormat)`
  Returns System information like MAC Address,Available Processors, Total amount of free memory available to the JVM, Maximum Memory, Total memory currently available to the JVM,OS Name,OS Version and User Name etc outputFormat can be either JSON or XML.
  `String`
  `getVirtualMachineInfo(String userName, String password, String outputFormat)`
  Returns VirtualMachine information like Java Virtual Machine specification name,specification version of Java Virtual Machine and name of specification vendor of Java Virtual Machine.
  `String`
  `getVirtualMachineJREInfo(String userName, String password, String outputFormat)`
  Returns VirtualMachineJRE information like version of Java Runtime Environment,name of Java Runtime Environment vendor URL of Java vendor,directory of Java installation,name of specification version Java Runtime Environment, JRE specification vendor,JREspecification name and name of JIT compiler to use etc.
  `String`
  `getVirtualMachineJVMInfo(String userName, String password, String outputFormat)`
  Returns VirtualMachineJVM information like JVM implementation name,JVM implementation version and JVM implementation vendor.
  `String`
  `validateCredentials(String userName, String password, String outputFormat)`
  Validates the login credentials.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AMMService

    public AMMService()

- ## Method Details

  - ### getAllInfo

    public String getAllInfo(String userName, String password, String outputFormat)
    Returns the information about application,system,virtual machine,JVM,JRE etc. outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      6.2

  - ### getApplicationInfo

    public String getApplicationInfo(String userName, String password, String outputFormat)
    Returns the application information like company name,application name,application version etc. outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      6.2

  - ### getSystemInfo

    public String getSystemInfo(String userName, String password, String outputFormat)
    Returns System information like MAC Address,Available Processors, Total amount of free memory available to the JVM, Maximum Memory, Total memory currently available to the JVM,OS Name,OS Version and User Name etc outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      6.2

  - ### getVirtualMachineInfo

    public String getVirtualMachineInfo(String userName, String password, String outputFormat)
    Returns VirtualMachine information like Java Virtual Machine specification name,specification version of Java Virtual Machine and name of specification vendor of Java Virtual Machine. outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      6.2

  - ### getVirtualMachineJVMInfo

    public String getVirtualMachineJVMInfo(String userName, String password, String outputFormat)
    Returns VirtualMachineJVM information like JVM implementation name,JVM implementation version and JVM implementation vendor. outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      6.2

  - ### getVirtualMachineJREInfo

    public String getVirtualMachineJREInfo(String userName, String password, String outputFormat)
    Returns VirtualMachineJRE information like version of Java Runtime Environment,name of Java Runtime Environment vendor URL of Java vendor,directory of Java installation,name of specification version Java Runtime Environment, JRE specification vendor,JREspecification name and name of JIT compiler to use etc. outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      6.2

  - ### getLicenseInfo

    public String getLicenseInfo(String userName, String password, String outputFormat)
    Returns License information like CompanyName,number of allowed projects,number of allowed subjects, number of allowed users, number of allowed logins, number of evaluation days,evaluation end date and license expired or not etc. outputFormat can be either JSON or XML. If outputFormat is not specified, by default the method will return the JSON String.
    Parameters:
      `userName` - String
      `password` - String
      `outputFormat` - String - Valid values: JSON or XML
    Returns:
      String
    Since:
      6.2

  - ### validateCredentials

    public String validateCredentials(String userName, String password, String outputFormat)
    Validates the login credentials.
    Parameters:
      `userName` - - String
      `password` - - String
      `outputFormat` - - String - Valid values: JSON or XML
    Returns:
      - String - Returns RequestStatus Object consisting of Request success flag, status message and userObject etc... in the form of JSON or XML String.
    Since:
      10.1